## org.apache.tools.ant.taskdefs.optional.unix
Class Chown

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.ExecTask
                        |
                        +--org.apache.tools.ant.taskdefs.ExecuteOn
                              |
                              +--org.apache.tools.ant.taskdefs.optional.unix.AbstractAccessTask
                                    |
                                    +--org.apache.tools.ant.taskdefs.optional.unix.Chown

public class Chown
extends AbstractAccessTask

Chown equivalent for unix-like environments.

Since:
  Ant 1.6
Author:
  Patrick G. Heck gus.heck@olin.edu

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`ExecuteOn.FileDirBoth`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`destDir, filesets, mapper, mapperElement, srcFilePos, srcIsFirst, targetFilePos, type`

Fields inherited from class org.apache.tools.ant.taskdefs.ExecTask
`cmdl, failOnError, newEnvironment`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Chown()` Chown task for setting file and directory permissions.

Method Summary
`protected void` `checkConfiguration()` Ensure that all the required arguments and other conditions have been set.
`void` `setExecutable(java.lang.String e)` We don't want to expose the executable atribute, so overide it.
`void` `setOwner(java.lang.String owner)` Set the owner atribute.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.unix.AbstractAccessTask
`isValidOs, setAddsourcefile, setCommand, setFile, setSkipEmptyFilesets`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`addDirset, addFilelist, addFileset, createMapper, createSrcfile, createTargetfile, getCommandline, getCommandline, getDirs, getFiles, runExec, runParallel, setDest, setForwardslash, setMaxParallel, setParallel, setRelative, setType, setVerbose`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecTask

`addEnv, createArg, createHandler, createWatchdog, execute, getResolveExecutable, logFlush, maybeSetResultPropertyValue, prepareExec, resolveExecutable, runExecute, setAppend, setDir, setError, setErrorProperty, setFailIfExecutionFails, setFailonerror, setInput, setInputString, setLogError, setNewenvironment, setOs, setOutput, setOutputproperty, setResolveExecutable, setResultProperty, setSpawn, setTimeout, setTimeout, setVMLauncher`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Chown

    public Chown()

  Chown task for setting file and directory permissions.

Method Detail

### setOwner

    public void setOwner(java.lang.String owner)

  Set the owner atribute.

  Parameters:
    `owner` - The new owner for the file(s) or directory(ies)

### checkConfiguration

    protected void checkConfiguration()

  Ensure that all the required arguments and other conditions have been set.

  Overrides:
    `checkConfiguration` in class `ExecuteOn`

### setExecutable

    public void setExecutable(java.lang.String e)

  We don't want to expose the executable atribute, so overide it.

  Overrides:
    `setExecutable` in class `ExecTask`
  Parameters:
    `e` - User supplied executable that we won't accept.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.